import { AfterViewInit, OnDestroy } from "@angular/core";
import { ICellEditorAngularComp } from "ag-grid-angular";
import * as i0 from "@angular/core";
export declare class DropdownSelectEditorComponent implements ICellEditorAngularComp, AfterViewInit, OnDestroy {
    params: any;
    source: any;
    private _subs;
    container: any;
    constructor();
    getSource(): any;
    ngAfterViewInit(): void;
    agInit(params: any): void;
    getValue(): any;
    isPopup(): boolean;
    onClick(src: string): void;
    onKeyDown(event: any): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownSelectEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownSelectEditorComponent, "dropdown-select-editor", never, {}, {}, never, never, false>;
}
